﻿using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;

using TestProject.Models;

namespace TestProject.Controllers
{
    /// <summary>
    /// 데이터 컨트롤러
    /// </summary>
    public class DataController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 인덱스 페이지 처리하기 - Index()

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        public IActionResult Index()
        {
            DataRepository repository = new DataRepository();

            List<DataModel> list = repository.GetList();

            return View(list);
        }

        #endregion
    }
}